Name:           glite-lbjp-common-db
Version:        3.2.9
Release:        1%{?dist}
Summary:        Database engine abstraction wrapper used in L&B and JP services

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.db/%{name}-%{version}.tar.gz

BuildRequires:  cppunit-devel
BuildRequires:  log4c-devel
BuildRequires:  mysql-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel

%description
Database engine abstraction wrapper used in L&B and JP services.


%package        devel
Summary:        Development files for gLite L&B/JP common DB module
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common database module.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module lbjp-common.db
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lbu_db.so.3
%{_libdir}/libglite_lbu_db.so.3.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/db.h
%{_libdir}/libglite_lbu_db.so


%changelog
* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz>- 3.2.9-1
- New release 3.2.9 (L&B 4.0.12)
- Cflags patch not needed anymore

* Sun Sep 01 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.8-2
- The find command replaced by wildcards

* Mon Aug 26 2013 František Dvořák <valtri@civ.zcu.cz> - 3.2.8-1
- Initial package
